EDIT - bug #10016

NPE after move of taxon
04/01/2022 08:56 AM - Katja Luther

Status: Closed Start date: 04/01/2022
Priority: New Due date: 04/01/2022
Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:06 hour
Target version: Release 5.31

Severity: normal Found in Version:

Description

Hallo,

(Mexico)

ich habe mal Taxa verschoben, und zwar die Familien direkt unter die Hauptgruppe Pteridofita, das klappte.

Dann eine neue Klassifikation erstellt (,Rangos excluidos®) und versucht, die 3 nun obsoleten Unter-Hauptgruppen dahin zu
verschieben.

Untenstehender Fehler kommt dann 3x.

Ich hatte allerdings einen unteren Rang noch offen, vielleicht lag es daran. Habe neu gestartet, komme jetzt aber nicht mehr an den
Server ran (timeout).

Herzlichen Gruf3

Walter

last remote method : http://132.248.13.83:8080/cdmserver/cdm_flora_mexico/remoting/progressmonitor
.service
last remote request client time : 2022-03-28T10:33:48.463
last remote request response header time : Mon, 28 Mar 2022 16:31:29 GMT
client error time : 2022-03-28T10:33:49.292
login : w.berendsohn
editor version : 5.30.0
server : 132.248.13.83 (Mexico) / cdm_flora _mexico
schema version : 5.29.0.0.20211122
os : Windows 10 10.0 amdé64
java : 1.8.0_321
org.eclipse.swt.SWTException: Failed to execute runnable (org.eclipse.ed.core.di.InjectionExceptio
n: java.lang.NullPointerException)

at org.eclipse.swt.SWT.error (SWT. java:4533)

at org.eclipse.swt.SWT.error (SWT. java:4448)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:185)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse.jface.window.Window.open (Window. java:794)

at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)

at eu.etaxonomy.taxeditor.model.MessagingUtils$1l.run (MessagingUtils.java:278)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEng
ine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngin
e.java:1022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:15
0)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(Eclipse
AppLauncher. java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLaunch

er.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)
at java.lang.reflect.Method.invoke (Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

Caused by: org.eclipse.ed.core.di.InjectionException:
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:65)
at org.eclipse.ed.ui.internal.di.UIEventObjectSupplier$SUIEventHandlerS$l.run (UIEventObj

ectSupplier.java:56)

at org.eclipse.swt.widgets.RunnableLock.run (RunnablelLock. java:35)

java.lang.NullPointerException

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)

31 more
Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.editor.name.e4.TaxonNameEditorE4.updateView (TaxonNameEditorE

4.java:763)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

34 more

Associated revisions

Revision acdc2ed4 - 04/01/2022 08:57 AM - Katja Luther
ref #100016: fix NPE

History

#1 - 04/01/2022 09:03 AM - Katja Luther

- Due date set to 04/01/2022

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller
- Start date set to 04/01/2022

- % Done changed from 0 to 80

- Estimated time set to 0:06 h

This is fixed by checking whether the value of the attribute is null.

#2 - 04/04/2022 08:55 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 80 to 100

Seems to work as expected and code changes look reasonable.
